<?php

namespace Shirtworks\Qute\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class QutesTransformer extends TransformerAbstract
{
    public function transform(\Shirtworks\Qute\Models\Qutes $qutes)
    {
        return [
            'id'                => $qutes->getRouteKey(),
            'key'               => [
                'public'    => $qutes->getPublicKey(),
                'route'     => $qutes->getRouteKey(),
            ], 
            'id'                => $qutes->id,
            'Title'             => $qutes->Title,
            'url'               => [
                'public'    => trans_url('qute/'.$qutes->getPublicKey()),
                'user'      => guard_url('qute/qutes/'.$qutes->getRouteKey()),
            ], 
            'status'            => trans('app.'.$qutes->status),
            'created_at'        => format_date($qutes->created_at),
            'updated_at'        => format_date($qutes->updated_at),
        ];
    }
}