<?php

namespace Shirtworks\Qute\Workflow;

use Shirtworks\Qute\Models\Qutes;
use Shirtworks\Qute\Notifications\QutesWorkflow as QutesNotifyer;
use Notification;

class QutesNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Qutes $qutes
     *
     * @return void
     */
    public function complete(Qutes $qutes)
    {
        return Notification::send($qutes->user, new QutesNotifyer($qutes, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Qutes $qutes
     *
     * @return void
     */
    public function verify(Qutes $qutes)
    {
        return Notification::send($qutes->user, new QutesNotifyer($qutes, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Qutes $qutes
     *
     * @return void
     */
    public function approve(Qutes $qutes)
    {
        return Notification::send($qutes->user, new QutesNotifyer($qutes, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Qutes $qutes
     *
     * @return void
     */
    public function publish(Qutes $qutes)
    {
        return Notification::send($qutes->user, new QutesNotifyer($qutes, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Qutes $qutes
     *
     * @return void
     */
    public function archive(Qutes $qutes)
    {
        return Notification::send($qutes->user, new QutesNotifyer($qutes, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Qutes $qutes
     *
     * @return void
     */
    public function unpublish(Qutes $qutes)
    {
        return Notification::send($qutes->user, new QutesNotifyer($qutes, 'unpublish'));;

    }
}
